List audit
Newest first, filtered, cursor-paged. Who did what — never the content. include=total_count counts up to 10,000.
Query parameters
limitintegerDefault50at least 1at most 200cursorstringincludestring[]One oftotal_countfacetsactionstringactor_idstringresource_typestringcreated_afterstringdate-timecreated_beforestringdate-timedecisionstringOne ofalloweddenied_authzdenied_policyqstringat most 200 characters
Response200
objectstringlistdataAuditEvent[]10 fields
idstringobjectstringaudit_eventactionstringactorAuditActor2 fields
idstring or nullkindstring
atstringchangesstring[]decisionstringdelegation_idstring or nullresource_idstring or nullresource_typestring or null
has_morebooleannext_cursorstring or nullfacetsmap<string, map<string, integer>> or nullpeoplemap<string, ActorRef> or null5 fields
idstring or nullkindstringOne ofuserapi_keyservice_accountworkloadend_usersystemnamestring or nullavatar_versionstring or nullemailstring or null
total_countinteger or nulltotal_count_exactboolean or null
Status codes
- 200Successful Response
- 422The request is not valid:
errors[]names each field. - 4XXThe request was refused: the problem says why.
- 5XXThe API could not answer: the problem says why.
curl "https://api.mydeepagents.com/v1/audit_events?limit=20" \
-H "Authorization: Bearer $MDA_API_KEY"{
"object": "list",
"data": [
{
"id": "id",
"object": "audit_event",
"action": "send_message",
"actor": {
"id": "id",
"kind": "kind"
},
"at": "at",
"changes": [
"change"
],
"decision": "decision",
"delegation_id": "dlg_01jczfzcy1wbcjnyyqh68jme0a",
"resource_id": "resource id",
"resource_type": "resource type"
}
],
"has_more": false,
"next_cursor": null,
"total_count": 1
}